diff --git a/pki/base/util/src/netscape/security/x509/NSCCommentExtension.java b/pki/base/util/src/netscape/security/x509/NSCCommentExtension.java
index b24ce1158881ee68bc41e6cc9de9b23f9dae4af4..0912d5b0c375d85bfeed59f5641494d86bc1cb2d 100644
--- a/pki/base/util/src/netscape/security/x509/NSCCommentExtension.java
+++ b/pki/base/util/src/netscape/security/x509/NSCCommentExtension.java
@@ -65,9 +65,9 @@ public class NSCCommentExtension extends Extension
     // Encode this extension value
     private void encodeThis() throws IOException {
         DerOutputStream os = new DerOutputStream();
-        DerOutputStream tmp = new DerOutputStream();
 
         os.putIA5String(mComment);
+        // DerOutputStream tmp = new DerOutputStream();
         // os.write(DerValue.tag_Sequence,tmp);
         extensionValue = os.toByteArray();
     }
diff --git a/pki/base/util/src/netscape/security/x509/X500Name.java b/pki/base/util/src/netscape/security/x509/X500Name.java
index 920b0e1e42c237001c5c5c1e2526d8eda367d692..d44003baa88b1e8d4cc83fd6cb2d5f73a0fc1aa7 100644
--- a/pki/base/util/src/netscape/security/x509/X500Name.java
+++ b/pki/base/util/src/netscape/security/x509/X500Name.java
@@ -148,7 +148,6 @@ public class X500Name implements Principal, GeneralNameInterface {
             String country) throws IOException {
         DirStrConverter dirStrConverter = new DirStrConverter();
         PrintableConverter printableConverter = new PrintableConverter();
-        DerValue val;
         AVA[] assertion = new AVA[1]; // array is cloned in constructors.
         int i = 4;
 
@@ -194,7 +193,6 @@ public class X500Name implements Principal, GeneralNameInterface {
             String country) throws IOException {
         DirStrConverter dirStrConverter = new DirStrConverter();
         PrintableConverter printableConverter = new PrintableConverter();
-        DerValue val;
         AVA[] assertion = new AVA[1]; // array is cloned in constructors.
         int i = 6;
 
-- 
1.7.7.4

